バージョン選択

フォーラム

メニュー

オンライン状況

14 人のユーザが現在オンラインです。 (6 人のユーザが フォーラム を参照しています。)
登録ユーザ: 0
ゲスト: 14
もっと...

サイト内検索

質問 > その他 > 旧バージョンの一時利用

その他

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
ennya8810
投稿日時: 2023/12/5 16:48
対応状況: −−−
新米
登録日: 2023/12/5
居住地:
投稿: 8
旧バージョンの一時利用
https://github.com/elestyle/elepay-eccube4-plugin/releases
上記elepayというプラグインを利用するため、
一旦eccube旧バージョンをインストールしようと考えておりますが、
https://www.ec-cube.net/download/other.php
Version 4.1.2-p3(zip)をダウンロードして、xserverサーバ上に解凍して、インストール画面入る段階で、エラー同時に表示されます。
とりあえず、インストールして、管理側画面に入っても、各機能押下するたびにエラーが発生いたします。

4.1.2インストール方法または、
4.0.3バージョンのzipファイルをいただけますでしょうか

[EC-CUBE] 4.1.2、4.0.3新規インストール
[レンタルサーバ] xserver
[OS] Linux
[PHP] PHP8.1.22
[データベース] MySQL、MariaDB10.5
[WEBサーバ] Apache、2.4.x
[ブラウザ] Google Chrome、119.0.6045.160
[導入プラグインの有無] 無
[カスタマイズの有無] 無
[現象] 4.1.2zipファイルをローカルで解凍して、ec-cube配下ファイルをxserverのpublic_htmlに移行して、該当アドレスにアクセスするとeccubeのインストール画面に入りますが、エラーも表示されます。

エラーは以下になります。
Deprecated: Return type of Eccube\Common\EccubeConfig::offsetExists($offset) should either be compatible with ArrayAccess::offsetExists(mixed $offset): bool, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /src/Eccube/Common/EccubeConfig.php on line 66

Deprecated: Return type of Eccube\Common\EccubeConfig::offsetGet($offset) should either be compatible with ArrayAccess::offsetGet(mixed $offset): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /src/Eccube/Common/EccubeConfig.php on line 76

Deprecated: Return type of Eccube\Common\EccubeConfig::offsetSet($offset, $value) should either be compatible with ArrayAccess::offsetSet(mixed $offset, mixed $value): void, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /src/Eccube/Common/EccubeConfig.php on line 85

Deprecated: Return type of Eccube\Common\EccubeConfig::offsetUnset($offset) should either be compatible with ArrayAccess::offsetUnset(mixed $offset): void, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /src/Eccube/Common/EccubeConfig.php on line 95

また、上記エラー一旦無視して、インストール完了させたら、
管理画面にログインしても、システムエラー提示され、エラー表示に合わせて、/ec-cube/src/Eccube/Resource/template/admin/index.twig
304 行を下記のように改修したら、

> <a href="{{ url('admin_store_plugin_owners_search_page', {'page_no': 1}) }}">{{ 'admin.home.recommend_plugins.owner_store'|trans }}</a>

管理側画面に入るようになりました。
しかし、まだエラー提示されます。
Common\EccubeConfig::offsetGet($offset) should either be compatible with ArrayAccess::offsetGet(mixed $offset): mixed, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /src/Eccube/Common/EccubeConfig.php on line 76

Deprecated: Return type of Eccube\Common\EccubeConfig::offsetSet($offset, $value) should either be compatible with ArrayAccess::offsetSet(mixed $offset, mixed $value): void, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /src/Eccube/Common/EccubeConfig.php on line 85

Deprecated: Return type of Eccube\Common\EccubeConfig::offsetUnset($offset) should either be compatible with ArrayAccess::offsetUnset(mixed $offset): void, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /src/Eccube/Common/EccubeConfig.php on line 95

また、管理側画面の商品登録にアクセスしたら、またシステムエラーになります。
エラーログは以下になります。そして他の機能もシステムになっています。
何かシステム全体的に問題ありそうな感じです。

[2023-12-05 16:58:09] app.INFO [N/A] [c5c0b93] [N/A] [Eccube\EventListener\LogListener:onKernelRequestEarly:73] - INIT [] [GET, /atprimaadmin/product/product/new, 106.***.20, ***/atprimaadmin/, Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119.0.0.0 Safari/537.36]
[2023-12-05 16:58:09] php.INFO [5dbe1140] [c5c0b93] [N/A] [Symfony\Component\ErrorHandler\ErrorHandler:handleError:532] - Deprecated: Eccube\Entity\Member implements the Serializable interface, which is deprecated. Implement __serialize() and __unserialize() instead (or in addition, if support for old PHP versions is necessary) {"exception":"[object] (ErrorException(code: 0): Deprecated: Eccube\\Entity\\Member implements the Serializable interface, which is deprecated. Implement __serialize() and __unserialize() instead (or in addition, if support for old PHP versions is necessary) at /***/public_html/src/Eccube/Entity/Member.php:32)"} [GET, /atprimaadmin/product/product/new, 106.***.20, https://***/atprimaadmin/, Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119.0.0.0 Safari/537.36]
[2023-12-05 16:58:09] app.INFO [5dbe1140] [c5c0b93] [1] [Eccube\EventListener\LogListener:onKernelRequest:86] - PROCESS START ["admin_product_product_new"] [GET, /atprimaadmin/product/product/new, 106.***.20, https://***/atprimaadmin/, Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119.0.0.0 Safari/537.36]
[2023-12-05 16:58:09] admin.DEBUG [5dbe1140] [c5c0b93] [1] [Eccube\Log\Logger:log:64] - Begin Transaction. [] [GET, /atprimaadmin/product/product/new, 106.***.0.20, https://***/atprimaadmin/, Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119.0.0.0 Safari/537.36]
[2023-12-05 16:58:09] php.INFO [5dbe1140] [c5c0b93] [1] [Symfony\Component\ErrorHandler\ErrorHandler:handleError:532] - Deprecated: Eccube\Entity\Customer implements the Serializable interface, which is deprecated. Implement __serialize() and __unserialize() instead (or in addition, if support for old PHP versions is necessary) {"exception":"[object] (ErrorException(code: 0): Deprecated: Eccube\\Entity\\Customer implements the Serializable interface, which is deprecated. Implement __serialize() and __unserialize() instead (or in addition, if support for old PHP versions is necessary) at /***/public_html/src/Eccube/Entity/Customer.php:31)"} [GET, /atprimaadmin/product/product/new, 106.***.0.20, https://***/atprimaadmin/, Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119.0.0.0 Safari/537.36]
[2023-12-05 16:58:09] app.INFO [5dbe1140] [c5c0b93] [1] [Eccube\EventListener\LogListener:onKernelController:111] - LOGIC START ["admin_product_product_new"] [GET, /atprimaadmin/product/product/new, 106.***.0.20, https://***/atprimaadmin/, Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119.0.0.0 Safari/537.36]
[2023-12-05 16:58:09] php.INFO [5dbe1140] [c5c0b93] [1] [Symfony\Component\ErrorHandler\ErrorHandler:handleError:532] - User Deprecated: The "Symfony\Component\HttpKernel\Event\GetResponseForExceptionEvent::getException()" method is deprecated since Symfony 4.4, use "getThrowable()" instead. {"exception":"[object] (ErrorException(code: 0): User Deprecated: The \"Symfony\\Component\\HttpKernel\\Event\\GetResponseForExceptionEvent::getException()\" method is deprecated since Symfony 4.4, use \"getThrowable()\" instead. at /***/public_html/vendor/symfony/http-kernel/Event/GetResponseForExceptionEvent.php:57)"} [GET, /atprimaadmin/product/product/new, 106.***.0.20, https://***/atprimaadmin/, Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119.0.0.0 Safari/537.36]
[2023-12-05 16:58:09] admin.ERROR [5dbe1140] [c5c0b93] [1] [Eccube\Log\Logger:log:64] - システムエラーが発生しました。 ["Controller \"Eccube\\Controller\\Admin\\Product\\ProductController::edit()\" requires that you provide a value for the \"$id\" argument. Either the argument is nullable and no null value has been provided, no default value has been provided or because there is a non optional argument after this one.","/***/public_html/vendor/symfony/http-kernel/Controller/ArgumentResolver.php",80,"#0 /***/public_html/vendor/symfony/http-kernel/HttpKernel.php(150): Symfony\\Component\\HttpKernel\\Controller\\ArgumentResolver->getArguments(Object(Symfony\\Component\\HttpFoundation\\Request), Array)\n#1 /***/public_html/vendor/symfony/http-kernel/HttpKernel.php(80): Symfony\\Component\\HttpKernel\\HttpKernel->handleRaw(Object(Symfony\\Component\\HttpFoundation\\Request), 1)\n#2 /***/public_html/vendor/symfony/http-kernel/Kernel.php(201): Symfony\\Component\\HttpKernel\\HttpKernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request), 1, true)\n#3 /****/public_html/index.php(82): Symfony\\Component\\HttpKernel\\Kernel->handle(Object(Symfony\\Component\\HttpFoundation\\Request))\n#4 {main}"] [GET, /atprimaadmin/product/product/new, 106.***.0.20, https://***/atprimaadmin/, Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119.0.0.0 Safari/537.36]
[2023-12-05 16:58:09] app.INFO [5dbe1140] [c5c0b93] [1] [Eccube\EventListener\LogListener:onKernelResponse:124] - LOGIC END ["admin_product_product_new"] [GET, /atprimaadmin/product/product/new, 106.**.0.20, https://***atprimaadmin/, Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119.0.0.0 Safari/537.36]
[2023-12-05 16:58:09] app.INFO [N/A] [c5c0b93] [1] [Eccube\EventListener\LogListener:onKernelTerminate:133] - PROCESS END ["admin_product_product_new"] [GET, /atprimaadmin/product/product/new, 106.***.0.20, https://***/atprimaadmin/, Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119.0.0.0 Safari/537.36]
[2023-12-05 16:58:09] app.DEBUG [N/A] [c5c0b93] [1] [Eccube\Log\Logger:log:68] - Commit executed. [] [GET, /atprimaadmin/product/product/new, 106.***.0.20, https:/***/atprimaadmin/, Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119.0.0.0 Safari/537.36]
mcontact
投稿日時: 2023/12/5 17:12
対応状況: −−−
登録日: 2022/1/22
居住地:
投稿: 1196
Re: 旧バージョンの一時利用
> [EC-CUBE] 4.1.2、4.0.3新規インストール
> [レンタルサーバ] xserver
> [OS] Linux
> [PHP] PHP8.1.22
> [データベース] MySQL、MariaDB10.5
> [WEBサーバ] Apache、2.4.x
> [ブラウザ] Google Chrome、119.0.6045.160
> [導入プラグインの有無] 無
> [カスタマイズの有無] 無

PHP8.1系をお使いのサーバですと、EC-CUBE4.0系および4.1系は対応していません。
下記のサイトにて、システム要件が記載されていますので参考にしてください。
https://doc4.ec-cube.net/quickstart/requirement


----------------
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
EC-CUBEインテグレートパートナー【ゴールド】ランク
M&I Works
URL: https://miworks.biz/
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

ennya8810
投稿日時: 2023/12/6 8:52
対応状況: −−−
新米
登録日: 2023/12/5
居住地:
投稿: 8
Re: 旧バージョンの一時利用
シンプルな問題で、申し訳ございません。
ご教示ありがとうございました。
試してみます。また何かございましたら、宜しくお願い致します。
スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン


EC-CUBE公式 Amazon Payプラグイン

統計情報

総メンバー数は87,678名です
総投稿数は109,428件です

投稿数ランキング

1
seasoft
7363
2
468
3217
3
AMUAMU
2712
4
nanasess
2302
5
umebius
2085
6
yuh
1807
7
h_tanaka
1597
8
red
1567
9
mcontact
1196
10
tsuji
958
11
fukap
907
12
shutta
835
13
tao_s
796
14 ramrun 789
15 karin 689
16 sumida 641
17
homan
633
18 DELIGHT 572
19
patapata
502
20
flealog
485


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.